

# DescribeComputationModelExecutionSummary


Retrieves information about the execution summary of a computation model.

## Request Syntax


```
GET /computation-models/computationModelId/execution-summary?resolveToResourceId=resolveToResourceId&resolveToResourceType=resolveToResourceType HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [computationModelId](#API_DescribeComputationModelExecutionSummary_RequestSyntax) **   <a name="iotsitewise-DescribeComputationModelExecutionSummary-request-uri-computationModelId"></a>
The ID of the computation model.  
Length Constraints: Fixed length of 36.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$`   
Required: Yes

 ** [resolveToResourceId](#API_DescribeComputationModelExecutionSummary_RequestSyntax) **   <a name="iotsitewise-DescribeComputationModelExecutionSummary-request-uri-resolveToResourceId"></a>
The ID of the resolved resource.  
Length Constraints: Fixed length of 36.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$` 

 ** [resolveToResourceType](#API_DescribeComputationModelExecutionSummary_RequestSyntax) **   <a name="iotsitewise-DescribeComputationModelExecutionSummary-request-uri-resolveToResourceType"></a>
The type of the resolved resource.  
Valid Values: `ASSET` 

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "computationModelExecutionSummary": { 
      "string" : "string" 
   },
   "computationModelId": "string",
   "resolveTo": { 
      "assetId": "string"
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [computationModelExecutionSummary](#API_DescribeComputationModelExecutionSummary_ResponseSyntax) **   <a name="iotsitewise-DescribeComputationModelExecutionSummary-response-computationModelExecutionSummary"></a>
Contains the execution summary of the computation model.  
Type: String to string map  
Key Pattern: `^[a-zA-Z0-9 _\-#$*!@]+$`   
Value Pattern: `^[a-zA-Z0-9 _\-#$*!@]+$` 

 ** [computationModelId](#API_DescribeComputationModelExecutionSummary_ResponseSyntax) **   <a name="iotsitewise-DescribeComputationModelExecutionSummary-response-computationModelId"></a>
The ID of the computation model.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$` 

 ** [resolveTo](#API_DescribeComputationModelExecutionSummary_ResponseSyntax) **   <a name="iotsitewise-DescribeComputationModelExecutionSummary-response-resolveTo"></a>
The detailed resource this execution summary resolves to.  
Type: [ResolveTo](API_ResolveTo.md) object

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalFailureException **   
 Amazon IoT SiteWise can't process your request right now. Try again later.  
HTTP Status Code: 500

 ** InvalidRequestException **   
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.  
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The requested resource can't be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
Your request exceeded a rate limit. For example, you might have exceeded the number of Amazon IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.  
For more information, see [Quotas](https://docs.amazonaws.cn/iot-sitewise/latest/userguide/quotas.html) in the * Amazon IoT SiteWise User Guide*.  
HTTP Status Code: 429

## See Also


For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iotsitewise-2019-12-02/DescribeComputationModelExecutionSummary) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iotsitewise-2019-12-02/DescribeComputationModelExecutionSummary) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iotsitewise-2019-12-02/DescribeComputationModelExecutionSummary) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iotsitewise-2019-12-02/DescribeComputationModelExecutionSummary) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iotsitewise-2019-12-02/DescribeComputationModelExecutionSummary) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iotsitewise-2019-12-02/DescribeComputationModelExecutionSummary) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iotsitewise-2019-12-02/DescribeComputationModelExecutionSummary) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iotsitewise-2019-12-02/DescribeComputationModelExecutionSummary) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iotsitewise-2019-12-02/DescribeComputationModelExecutionSummary) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iotsitewise-2019-12-02/DescribeComputationModelExecutionSummary) 